/***************************************************************************

	misc.c

    PSP miscellaneous functions.

***************************************************************************/

#ifndef PSP_MISC_H
#define PSP_MISC_H

// wallpaper.c
enum
{
	WP_LOGO = 0,
	WP_FILER,
	WP_GAMECFG,
	WP_KEYCFG,
	WP_STATE,
	WP_COLORCFG,
	WP_CMDLIST,
	NUM_WALLPAPERS
};

extern const u8 *wallpaper[NUM_WALLPAPERS];
extern const u32 wallpaper_size[NUM_WALLPAPERS];


enum
{
	BG_DEFAULT = 0,
	BG_USER,
	BG_LOGOONLY,
	BG_DISABLE,
	BG_MAX
};

extern int psp_cpuclock;
extern int bgimage_type;
extern int bgimage_blightness;

void set_cpu_clock(void);
void wait(int msec);

void load_background(int no);
void show_background(void);

void draw_battery_status(int show_arning);
void draw_clock(void);

#endif /* PSP_MISC_H */
